export interface AdditionalFile {
    /**
     * Additional File Destination
     *
     * @description
     * Query Param: file-dest
     *
     * The destination path to save the additional file to in the resulting file archive.
     *
     * You may specify this parameter multiple times: once per `file` parameter.
     *
     * Must include a `"/"` prefix.
     */
    destination: string | undefined;
    /**
     * Additional File
     *
     * @description
     * Query Param: file
     *
     * Additional file to add to the resulting file archive.
     *
     * You may specify this parameter multiple times.
     *
     * To use: specify the "file path" attribute of a file uploaded to your Upload account as the query parameter's value.
     */
    filePath: string;
}
